Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
b2WeldJointDef Struct Reference

`#include <b2WeldJoint.h>`

Inheritance diagram for b2WeldJointDef:

## Public Member Functions
void | Initialize (b2Body *bodyA, b2Body *bodyB, const b2Vec2 &anchor)

## Public Attributes
b2Vec2 | localAnchorA
| The local anchor point relative to bodyA's origin.
b2Vec2 | localAnchorB
| The local anchor point relative to bodyB's origin.
float32 | referenceAngle
| The bodyB angle minus bodyA angle in the reference state (radians).
float32 | frequencyHz
float32 | dampingRatio
| The damping ratio. 0 = no damping, 1 = critical damping.
Public Attributes inherited from b2JointDef
b2JointType | type
| The joint type is set automatically for concrete joint types.
void * | userData
| Use this to attach application specific data to your joints.
b2Body * | bodyA
| The first attached body.
b2Body * | bodyB
| The second attached body.
bool | collideConnected
| Set this flag to true if the attached bodies should collide.

## Detailed Description

Weld joint definition. You need to specify local anchor points where they are attached and the relative body angle. The position of the anchor points is important for computing the reaction torque.

## Member Function Documentation

void b2WeldJointDef::Initialize | ( | b2Body * | bodyA,
|  | b2Body * | bodyB,
|  | const b2Vec2 & | anchor
| ) |  |

Initialize the bodies, anchors, and reference angle using a world anchor point.

## Member Data Documentation

float32 b2WeldJointDef::frequencyHz

The mass-spring-damper frequency in Hertz. Rotation only. Disable softness with a value of 0.

The documentation for this struct was generated from the following files:

- b2WeldJoint.h
- b2WeldJoint.cpp